Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class KeyPair

    java.lang.Object
      |
      +--java.security.KeyPair

All Implemented Interfaces:
  Serializable

public final class KeyPair
extends Object
implements Serializable

This class is a simple holder for a key pair (a public key and a private key). It does not enforce any security, and, when initialized, should be treated like a PrivateKey.

See Also:
  `PublicKey`, `PrivateKey`, Serialized Form

Constructor Summary
`KeyPair(PublicKey publicKey, PrivateKey privateKey)` Constructs a key pair from the given public key and private key.

Method Summary
`PrivateKey` | `getPrivate()` Returns a reference to the private key component of this key pair.
`PublicKey` | `getPublic()` Returns a reference to the public key component of this key pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyPair

    public KeyPair(PublicKey publicKey,
                   PrivateKey privateKey)

  Constructs a key pair from the given public key and private key.

  Note that this constructor only stores references to the public and private key components in the generated key pair. This is safe, because `Key` objects are immutable.

  Parameters:
    `publicKey` - the public key.
    `privateKey` - the private key.

Method Detail

### getPublic

    public PublicKey getPublic()

  Returns a reference to the public key component of this key pair.
  Returns:
    a reference to the public key.

### getPrivate

    public PrivateKey getPrivate()

  Returns a reference to the private key component of this key pair.
  Returns:
    a reference to the private key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.